import * as mc from "@minecraft/server";
export const smokeRecipes = {
    "minecraft:porkchop":{
        output: "minecraft:cooked_porkchop"
    },
    "minecraft:beef":{
        output: "minecraft:cooked_beef"
    },
    "minecraft:chicken":{
        output: "minecraft:cooked_chicken"
    },
    "minecraft:cod":{
        output: "minecraft:cooked_cod"
    },
    "minecraft:salmon":{
        output: "minecraft:cooked_salmon"
    },
    "minecraft:potato":{
        output: "minecraft:baked_potato"
    },
    "minecraft:mutton":{
        output: "minecraft:cooked_mutton"
    },
    "minecraft:rabbit":{
        output: "minecraft:cooked_rabbit"
    },
    "minecraft:kelp":{
        output: "minecraft:dried_kelp"
    },
    "minecraft:rotten_flesh":{
        output: "strat:coagulated_blood"
    },
    "artifacts:everlasting_beef":{
        output: "artifacts:eternal_steak"
    },
}
export const blastRecipes = {
    "bg:draconium_dust":{
        output: "bg:draconium_ingot"
    },
    "auxillium:amberine_ore":{
        output: "auxillium:amberine"
    },
    "auxillium:nether_amberine_ore":{
        output: "auxillium:amberine"
    },
    "auxillium:deepslate_amberine_ore":{
        output: "auxillium:amberine"
    },
    "auxillium:aurorus_ore":{
        output: "auxillium:aurorus"
    },
    "auxillium:deepslate_aurorus_ore":{
        output: "auxillium:aurorus"
    },
    "auxillium:auxillium_ore":{
        output: "auxillium:auxillium"
    },
    "auxillium:deepslate_auxillium_ore":{
        output: "auxillium:aurxillium"
    },
    "auxillium:cosmium_ore":{
        output: "auxillium:cosmium"
    },
    "auxillium:deepslate_cosmium_ore":{
        output: "auxillium:cosmium"
    },
    "auxillium:necrite_ore":{
        output: "auxillium:necrite"
    },
    "strat:raw_ardite":{
        output: "strat:ardite_ingot"
    },
    "strat:raw_aluminium":{
        output: "strat:aluminium_ingot"
    },
    "strat:aluminium_ore":{
        output: "strat:aluminium_ingot"
    },
    "strat:raw_cobalt":{
        output: "strat:cobalt_ingot"
    },
    "strat:cobalt_ore":{
        output: "strat:cobalt_ingot"
    },
    "strat:grout":{
        output: "strat:seared_brick"
    },
    "strat:nether_grout":{
        output: "strat:seared_brick"
    },
    "minecraft:raw_iron":{
        output: "minecraft:iron_ingot"
    },
    "minecraft:raw_gold":{
        output: "minecraft:gold_ingot"
    },
    "minecraft:raw_copper":{
        output: "minecraft:copper_ingot"
    },
    "minecraft:copper_ore":{
        output: "minecraft:copper_ingot"
    },
    "minecraft:iron_ore":{
        output: "minecraft:iron_ingot"
    },
    "minecraft:gold_ore":{
        output: "minecraft:gold_ingot"
    },
    "minecraft:diamond_ore":{
        output: "minecraft:diamond"
    },
    "minecraft:lapis_ore":{
        output: "minecraft:lapis_lazuli"
    },
    "minecraft:redstone_ore":{
        output: "minecraft:redstone"
    },
    "minecraft:coal_ore":{
        output: "minecraft:coal"
    },
    "minecraft:emerald_ore":{
        output: "minecraft:emerald"
    },
    "minecraft:deepslate_copper_ore":{
        output: "minecraft:copper_ingot"
    },
    "minecraft:deepslate_iron_ore":{
        output: "minecraft:iron_ingot"
    },
    "minecraft:deepslate_gold_ore":{
        output: "minecraft:gold_ingot"
    },
    "minecraft:deepslate_diamond_ore":{
        output: "minecraft:diamond"
    },
    "minecraft:deepslate_lapis_ore":{
        output: "minecraft:lapis_lazuli"
    },
    "minecraft:deepslate_redstone_ore":{
        output: "minecraft:redstone"
    },
    "minecraft:deepslate_coal_ore":{
        output: "minecraft:coal"
    },
    "minecraft:deepslate_emerald_ore":{
        output: "minecraft:emerald"
    },
    "minecraft:quartz_ore":{
        output: "minecraft:quartz"
    },
    "minecraft:ancient_debris":{
        output: "minecraft:netherite_scrap"
    },
    "minecraft:nether_gold_ore":{
        output: "minecraft:gold_ingot"
    },
    "minecraft:deepslate_emerald_ore":{
        output: "minecraft:emerald"
    },
}
export const recipes = {
    "bg:draconium_dust":{
        output: "bg:draconium_ingot"
    },
    "auxillium:amberine_ore":{
        output: "auxillium:amberine"
    },
    "auxillium:nether_amberine_ore":{
        output: "auxillium:amberine"
    },
    "auxillium:deepslate_amberine_ore":{
        output: "auxillium:amberine"
    },
    "auxillium:aurorus_ore":{
        output: "auxillium:aurorus"
    },
    "auxillium:deepslate_aurorus_ore":{
        output: "auxillium:aurorus"
    },
    "auxillium:auxillium_ore":{
        output: "auxillium:auxillium"
    },
    "auxillium:deepslate_auxillium_ore":{
        output: "auxillium:aurxillium"
    },
    "auxillium:cosmium_ore":{
        output: "auxillium:cosmium"
    },
    "auxillium:deepslate_cosmium_ore":{
        output: "auxillium:cosmium"
    },
    "auxillium:necrite_ore":{
        output: "auxillium:necrite"
    },
    "minecraft:rotten_flesh":{
        output: "strat:coagulated_blood"
    },
    "artifacts:everlasting_beef":{
        output: "artifacts:eternal_steak"
    },
    "strat:raw_ardite":{
        output: "strat:ardite_ingot"
    },
    "strat:raw_aluminium":{
        output: "strat:aluminium_ingot"
    },
    "strat:aluminium_ore":{
        output: "strat:aluminium_ingot"
    },
    "strat:raw_cobalt":{
        output: "strat:cobalt_ingot"
    },
    "strat:cobalt_ore":{
        output: "strat:cobalt_ingot"
    },
    "strat:grout":{
        output: "strat:seared_brick"
    },
    "strat:nether_grout":{
        output: "strat:seared_brick"
    },
    "minecraft:raw_iron":{
        output: "minecraft:iron_ingot"
    },
    "minecraft:raw_gold":{
        output: "minecraft:gold_ingot"
    },
    "minecraft:raw_copper":{
        output: "minecraft:copper_ingot"
    },
    "minecraft:copper_ore":{
        output: "minecraft:copper_ingot"
    },
    "minecraft:iron_ore":{
        output: "minecraft:iron_ingot"
    },
    "minecraft:gold_ore":{
        output: "minecraft:gold_ingot"
    },
    "minecraft:diamond_ore":{
        output: "minecraft:diamond"
    },
    "minecraft:lapis_ore":{
        output: "minecraft:lapis_lazuli"
    },
    "minecraft:redstone_ore":{
        output: "minecraft:redstone"
    },
    "minecraft:coal_ore":{
        output: "minecraft:coal"
    },
    "minecraft:emerald_ore":{
        output: "minecraft:emerald"
    },
    "minecraft:deepslate_copper_ore":{
        output: "minecraft:copper_ingot"
    },
    "minecraft:deepslate_iron_ore":{
        output: "minecraft:iron_ingot"
    },
    "minecraft:deepslate_gold_ore":{
        output: "minecraft:gold_ingot"
    },
    "minecraft:deepslate_diamond_ore":{
        output: "minecraft:diamond"
    },
    "minecraft:deepslate_lapis_ore":{
        output: "minecraft:lapis_lazuli"
    },
    "minecraft:deepslate_redstone_ore":{
        output: "minecraft:redstone"
    },
    "minecraft:deepslate_coal_ore":{
        output: "minecraft:coal"
    },
    "minecraft:deepslate_emerald_ore":{
        output: "minecraft:emerald"
    },
    "minecraft:quartz_ore":{
        output: "minecraft:quartz"
    },
    "minecraft:ancient_debris":{
        output: "minecraft:netherite_scrap"
    },
    "minecraft:nether_gold_ore":{
        output: "minecraft:gold_ingot"
    },
    "minecraft:deepslate_emerald_ore":{
        output: "minecraft:emerald"
    },
    "minecraft:porkchop":{
        output: "minecraft:cooked_porkchop"
    },
    "minecraft:beef":{
        output: "minecraft:cooked_beef"
    },
    "minecraft:chicken":{
        output: "minecraft:cooked_chicken"
    },
    "minecraft:cod":{
        output: "minecraft:cooked_cod"
    },
    "minecraft:salmon":{
        output: "minecraft:cooked_salmon"
    },
    "minecraft:potato":{
        output: "minecraft:baked_potato"
    },
    "minecraft:mutton":{
        output: "minecraft:cooked_mutton"
    },
    "minecraft:rabbit":{
        output: "minecraft:cooked_rabbit"
    },
    "minecraft:kelp":{
        output: "minecraft:dried_kelp"
    },
    "minecraft:sand":{
        output: "minecraft:glass"
    },
    "minecraft:cobblestone":{
        output: "minecraft:stone"
    },
    "minecraft:sandstone":{
        output: "minecraft:sandstone",
        outputBlockState: {
            "sand_stone_type":  "smooth"
        },
        blockState: {
            "sand_stone_type": "default"
        }
    },
    "minecraft:red_sandstone":{
        output: "minecraft:red_sandstone",
        outputBlockState: {
            "sand_stone_type":  "smooth"
        },
        blockState: {
            "sand_stone_type": "default"
        }
    },
    "minecraft:stone":{
        output: "minecraft:smooth_stone",
        blockState: {
            "stone_type": "stone"
        }
    },
    "minecraft:quartz_block":{
        output: "minecraft:quartz_block",
        outputBlockState: {
            "chisel_type":  "smooth"
        },
        blockState: {
            "chisel_type": "default"
        }
    },
    "minecraft:clay_ball":{
        output: "minecraft:brick"
    },
    "minecraft:netherrack":{
        output: "minecraft:netherbrick"
    },
    "minecraft:nether_brick":{
        output: "minecraft:cracked_nether_bricks"
    },
    "minecraft:basalt":{
        output: "minecraft:smooth_basalt"
    },
    "minecraft:clay":{
        output: "minecraft:hardened_clay"
    },
    "minecraft:stonebrick":{
        output: "minecraft:stonebrick",
        outputBlockState: {
            "stone_brick_type":  "cracked"
        },
        blockState: {
            "stone_brick_type": "default"
        }
    },
    "minecraft:polished_blackstone_bricks":{
        output: "minecraft:cracked_polished_blackstone_bricks"
    },
    "minecraft:coobled_deepslate":{
        output: "minecraft:deepslate"
    },
    "minecraft:deepslate_bricks":{
        output: "minecraft:cracked_deepslate_bricks"
    },
    "minecraft:deepslate_tiles":{
        output: "minecraft:cracked_deepslate_tiles"
    },
    "minecraft:stained_hardened_clay":{
        //hardcoded apenas quem entende de js
        scriptedOutput: function(item=MC.ItemStack("air")){
            let colorValues = MC.BlockStates.get("color").validValues
            for(let i = 0; i < colorValues.length; i++){
                let condition = `{"color": "${colorValues[i]}"}`
                let block = MC.BlockPermutation.resolve(item.typeId, JSON.parse(condition))
                let itemCompare = block.getItemStack(1)
                if(item.isStackableWith(itemCompare)){
                    let output = new MC.ItemStack(`minecraft:${colorValues[i]}_glazed_terracotta`) 
                    return output
                }
            }
        }
    },
    "minecraft:cactus":{
        output: "minecraft:green_dye"
    },
    "minecraft:oak_log":{
        output: "minecraft:charcoal"
    },
    "minecraft:spruce_log":{
        output: "minecraft:charcoal"
    },
    "minecraft:birch_log":{
        output: "minecraft:charcoal"
    },
    "minecraft:jungle_log":{
        output: "minecraft:charcoal"
    },
    "minecraft:acacia_log":{
        output: "minecraft:charcoal"
    },
    "minecraft:dark_oak_log":{
        output: "minecraft:charcoal"
    },
    "minecraft:cherry_log":{
        output: "minecraft:charcoal"
    },
    "minecraft:mangrove_log":{
        output: "minecraft:charcoal"
    },
    "minecraft:stripped_oak_log":{
        output: "minecraft:charcoal"
    },
    "minecraft:stripped_spruce_log":{
        output: "minecraft:charcoal"
    },
    "minecraft:stripped_birch_log":{
        output: "minecraft:charcoal"
    },
    "minecraft:stripped_jungle_log":{
        output: "minecraft:charcoal"
    },
    "minecraft:stripped_acacia_log":{
        output: "minecraft:charcoal"
    },
    "minecraft:stripped_dark_oak_log":{
        output: "minecraft:charcoal"
    },
    "minecraft:stripped_cherry_log":{
        output: "minecraft:charcoal"
    },
    "minecraft:stripped_mangrove_log":{
        output: "minecraft:charcoal"
    },
    "minecraft:wood":{
        output: "minecraft:charcoal"
    },
    "minecraft:chorus_fruit":{
        output: "minecraft:popped_chorus_fruit"
    },
    "minecraft:sea_pickle":{
        output: "minecraft:lime_dye"
    },
}